﻿using System.Text.Json.Serialization;

namespace Sharing.DaoShu110.Dtos
{
    public class OpenData
    {
        /// <summary>
        /// 开始时间
        /// </summary>
        [JsonPropertyName("startDate")]
        public string StartDate { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        [JsonPropertyName("endDate")]
        public string EndDate { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        [JsonPropertyName("createTimeBegin")]
        public string CreateTimeBegin { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        [JsonPropertyName("createTimeEnd")]
        public string CreateTimeEnd { get; set; }

        /// <summary>
        /// 知识唯一标识
        /// </summary>
        [JsonPropertyName("id")]
        public string Id { get; set; }

        /// <summary>
        /// 接警单编号
        /// </summary>
        [JsonPropertyName("JJDBH")]
        public string AlarmReceiptNumber { get; set; }

        /// <summary>
        /// 处置类型 1正常 2退回 3回访
        /// </summary>
        [JsonPropertyName("CZLX")]
        public int DisposalType { get; set; } = 1;
    }
}
