﻿namespace Sharing.DaoShu110
{
    /// <summary>
    /// A unified format for processing data returns
    /// </summary>
    public interface IApiResult
    {
        /// <summary>
        /// Gets or sets the status code.
        /// </summary>
        /// <value>The status code.</value>
        int code { get; set; }

        /// <summary>
        /// Gets or sets the message.
        /// </summary>
        /// <value>The message.</value>
        string msg { get; set; }
    }
}